--
-- Table structure for table `bannedip`
--

CREATE TABLE bannedip (
  id int(10) unsigned NOT NULL auto_increment,
  added int(11) NOT NULL default '0',
  addedby int(10) unsigned NOT NULL default '0',
  comment varchar(255) NOT NULL default '',
  first bigint(11) unsigned default NULL,
  last bigint(11) unsigned default NULL,
  PRIMARY KEY  (id),
  KEY first_last (first,last)
) TYPE=MyISAM;


--
-- Table structure for table `blocks`
--

CREATE TABLE blocks (
  blockid int(11) unsigned NOT NULL auto_increment,
  content varchar(255) NOT NULL default '',
  position char(1) NOT NULL default '',
  sortid int(11) unsigned NOT NULL default '0',
  status tinyint(3) unsigned default NULL,
  PRIMARY KEY  (blockid)
) TYPE=MyISAM;

--
-- Dumping data for table `blocks`
--

INSERT INTO blocks VALUES (1,'menu','l',1,1);
INSERT INTO blocks VALUES (2,'clock','r',2,1);
INSERT INTO blocks VALUES (3,'forum','l',2,1);
INSERT INTO blocks VALUES (4,'lastmember','l',3,1);
INSERT INTO blocks VALUES (6,'trackerinfo','r',1,1);
INSERT INTO blocks VALUES (7,'user','r',3,1);
INSERT INTO blocks VALUES (8,'online','l',4,1);
INSERT INTO blocks VALUES (9,'shoutbox','c',1,1);
INSERT INTO blocks VALUES (10,'toptorrents','c',5,1);
INSERT INTO blocks VALUES (11,'lasttorrents','c',4,1);
INSERT INTO blocks VALUES (12,'news','c',3,1);
INSERT INTO blocks VALUES (13,'mainmenu','t',2,1);
INSERT INTO blocks VALUES (14,'maintrackertoolbar','t',2,1);
INSERT INTO blocks VALUES (15,'mainusertoolbar','t',3,1);
INSERT INTO blocks VALUES (16,'serverload','c',8,1);
INSERT INTO blocks VALUES (17,'poll','r',10,1);
INSERT INTO blocks VALUES (18,'Seedwanted','c',2,1);

--
-- Table structure for table `categories`
--

CREATE TABLE categories (
  id int(10) unsigned NOT NULL auto_increment,
  name varchar(30) NOT NULL default '',
  sub int(10) NOT NULL default '0',
  sort_index int(10) unsigned NOT NULL default '0',
  image varchar(255) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=MyISAM;

--
-- Dumping data for table `categories`
--

INSERT INTO categories VALUES (7,'Apps Win',0,1010,'win.png');
INSERT INTO categories VALUES (6,'Books',0,110,'ebooks.png');
INSERT INTO categories VALUES (5,'Anime',0,90,'anime.png');
INSERT INTO categories VALUES (4,'Other',0,1000,'other.png');
INSERT INTO categories VALUES (3,'Games',0,40,'games.png');
INSERT INTO categories VALUES (2,'Music',0,20,'music.png');
INSERT INTO categories VALUES (1,'Movies',0,10,'movies.png');
INSERT INTO categories VALUES (8,'Apps Linux',0,1020,'linux.png');
INSERT INTO categories VALUES (9,'Apps Mac',0,1030,'mac.png');
INSERT INTO categories VALUES (11,'DVD-R',1,0,'movies.png');
INSERT INTO categories VALUES (12,'Mvcd',1,23333,'film.jpg');

--
-- Table structure for table `comments`
--

CREATE TABLE comments (
  id int(10) unsigned NOT NULL auto_increment,
  added datetime NOT NULL default '0000-00-00 00:00:00',
  text text NOT NULL,
  ori_text text NOT NULL,
  user varchar(20) NOT NULL default '',
  info_hash varchar(40) NOT NULL default '',
  PRIMARY KEY  (id),
  KEY info_hash (info_hash)
) TYPE=MyISAM;

--
-- Table structure for table `countries`
--

CREATE TABLE countries (
  id int(10) unsigned NOT NULL auto_increment,
  name varchar(50) default NULL,
  flagpic varchar(50) default NULL,
  domain char(3) default NULL,
  PRIMARY KEY  (id)
) TYPE=MyISAM;

--
-- Dumping data for table `countries`
--

INSERT INTO countries VALUES (1,'Sweden','sweden.gif','SE');
INSERT INTO countries VALUES (2,'United States of America','usa.gif','US');
INSERT INTO countries VALUES (3,'Russia','russia.gif','RU');
INSERT INTO countries VALUES (4,'Finland','finland.gif','FI');
INSERT INTO countries VALUES (5,'Canada','canada.gif','CA');
INSERT INTO countries VALUES (6,'France','france.gif','FR');
INSERT INTO countries VALUES (7,'Germany','germany.gif','DE');
INSERT INTO countries VALUES (8,'China','china.gif','CN');
INSERT INTO countries VALUES (9,'Italy','italy.gif','IT');
INSERT INTO countries VALUES (10,'Denmark','denmark.gif','DK');
INSERT INTO countries VALUES (11,'Norway','norway.gif','NO');
INSERT INTO countries VALUES (12,'United Kingdom','uk.gif','UK');
INSERT INTO countries VALUES (13,'Ireland','ireland.gif','IE');
INSERT INTO countries VALUES (14,'Poland','poland.gif','PL');
INSERT INTO countries VALUES (15,'Netherlands','netherlands.gif','NL');
INSERT INTO countries VALUES (16,'Belgium','belgium.gif','BE');
INSERT INTO countries VALUES (17,'Japan','japan.gif','JP');
INSERT INTO countries VALUES (18,'Brazil','brazil.gif','BR');
INSERT INTO countries VALUES (19,'Argentina','argentina.gif','AR');
INSERT INTO countries VALUES (20,'Australia','australia.gif','AU');
INSERT INTO countries VALUES (21,'New Zealand','newzealand.gif','NZ');
INSERT INTO countries VALUES (23,'Spain','spain.gif','ES');
INSERT INTO countries VALUES (24,'Portugal','portugal.gif','PT');
INSERT INTO countries VALUES (25,'Mexico','mexico.gif','MX');
INSERT INTO countries VALUES (26,'Singapore','singapore.gif','SG');
INSERT INTO countries VALUES (29,'South Africa','southafrica.gif','ZA');
INSERT INTO countries VALUES (30,'South Korea','southkorea.gif','KR');
INSERT INTO countries VALUES (31,'Jamaica','jamaica.gif','JM');
INSERT INTO countries VALUES (32,'Luxembourg','luxembourg.gif','LU');
INSERT INTO countries VALUES (33,'Hong Kong','hongkong.gif','HK');
INSERT INTO countries VALUES (34,'Belize','belize.gif','BZ');
INSERT INTO countries VALUES (35,'Algeria','algeria.gif','DZ');
INSERT INTO countries VALUES (36,'Angola','angola.gif','AO');
INSERT INTO countries VALUES (37,'Austria','austria.gif','AT');
INSERT INTO countries VALUES (38,'Yugoslavia','yugoslavia.gif','YU');
INSERT INTO countries VALUES (39,'Western Samoa','westernsamoa.gif','WS');
INSERT INTO countries VALUES (40,'Malaysia','malaysia.gif','MY');
INSERT INTO countries VALUES (41,'Dominican Republic','dominicanrep.gif','DO');
INSERT INTO countries VALUES (42,'Greece','greece.gif','GR');
INSERT INTO countries VALUES (43,'Guatemala','guatemala.gif','GT');
INSERT INTO countries VALUES (44,'Israel','israel.gif','IL');
INSERT INTO countries VALUES (45,'Pakistan','pakistan.gif','PK');
INSERT INTO countries VALUES (46,'Czech Republic','czechrep.gif','CZ');
INSERT INTO countries VALUES (47,'Serbia','serbia.gif','YU');
INSERT INTO countries VALUES (48,'Seychelles','seychelles.gif','SC');
INSERT INTO countries VALUES (49,'Taiwan','taiwan.gif','TW');
INSERT INTO countries VALUES (50,'Puerto Rico','puertorico.gif','PR');
INSERT INTO countries VALUES (51,'Chile','chile.gif','CL');
INSERT INTO countries VALUES (52,'Cuba','cuba.gif','CU');
INSERT INTO countries VALUES (53,'Congo','congo.gif','CG');
INSERT INTO countries VALUES (54,'Afghanistan','afghanistan.gif','AF');
INSERT INTO countries VALUES (55,'Turkey','turkey.gif','TR');
INSERT INTO countries VALUES (56,'Uzbekistan','uzbekistan.gif','UZ');
INSERT INTO countries VALUES (57,'Switzerland','switzerland.gif','CH');
INSERT INTO countries VALUES (58,'Kiribati','kiribati.gif','KI');
INSERT INTO countries VALUES (59,'Philippines','philippines.gif','PH');
INSERT INTO countries VALUES (60,'Burkina Faso','burkinafaso.gif','BF');
INSERT INTO countries VALUES (61,'Nigeria','nigeria.gif','NG');
INSERT INTO countries VALUES (62,'Iceland','iceland.gif','IS');
INSERT INTO countries VALUES (63,'Nauru','nauru.gif','NR');
INSERT INTO countries VALUES (64,'Slovenia','slovenia.gif','SI');
INSERT INTO countries VALUES (65,'Albania','albania.gif','AL');
INSERT INTO countries VALUES (66,'Turkmenistan','turkmenistan.gif','TM');
INSERT INTO countries VALUES (67,'Bosnia Herzegovina','bosniaherzegovina.gif','BA');
INSERT INTO countries VALUES (68,'Andorra','andorra.gif','AD');
INSERT INTO countries VALUES (69,'Lithuania','lithuania.gif','LT');
INSERT INTO countries VALUES (70,'India','india.gif','IN');
INSERT INTO countries VALUES (71,'Netherlands Antilles','nethantilles.gif','AN');
INSERT INTO countries VALUES (72,'Ukraine','ukraine.gif','UA');
INSERT INTO countries VALUES (73,'Venezuela','venezuela.gif','VE');
INSERT INTO countries VALUES (74,'Hungary','hungary.gif','HU');
INSERT INTO countries VALUES (75,'Romania','romania.gif','RO');
INSERT INTO countries VALUES (76,'Vanuatu','vanuatu.gif','VU');
INSERT INTO countries VALUES (77,'Vietnam','vietnam.gif','VN');
INSERT INTO countries VALUES (78,'Trinidad & Tobago','trinidadandtobago.gif','TT');
INSERT INTO countries VALUES (79,'Honduras','honduras.gif','HN');
INSERT INTO countries VALUES (80,'Kyrgyzstan','kyrgyzstan.gif','KG');
INSERT INTO countries VALUES (81,'Ecuador','ecuador.gif','EC');
INSERT INTO countries VALUES (82,'Bahamas','bahamas.gif','BS');
INSERT INTO countries VALUES (83,'Peru','peru.gif','PE');
INSERT INTO countries VALUES (84,'Cambodia','cambodia.gif','KH');
INSERT INTO countries VALUES (85,'Barbados','barbados.gif','BB');
INSERT INTO countries VALUES (86,'Bangladesh','bangladesh.gif','BD');
INSERT INTO countries VALUES (87,'Laos','laos.gif','LA');
INSERT INTO countries VALUES (88,'Uruguay','uruguay.gif','UY');
INSERT INTO countries VALUES (89,'Antigua Barbuda','antiguabarbuda.gif','AG');
INSERT INTO countries VALUES (90,'Paraguay','paraguay.gif','PY');
INSERT INTO countries VALUES (92,'Union of Soviet Socialist Republics','ussr.gif','SU');
INSERT INTO countries VALUES (93,'Thailand','thailand.gif','TH');
INSERT INTO countries VALUES (94,'Senegal','senegal.gif','SN');
INSERT INTO countries VALUES (95,'Togo','togo.gif','TG');
INSERT INTO countries VALUES (96,'North Korea','northkorea.gif','KP');
INSERT INTO countries VALUES (97,'Croatia','croatia.gif','HR');
INSERT INTO countries VALUES (98,'Estonia','estonia.gif','EE');
INSERT INTO countries VALUES (99,'Colombia','colombia.gif','CO');
INSERT INTO countries VALUES (100,'unknown','unknown.gif','AA');
INSERT INTO countries VALUES (101,'Org','org.gif','ORG');

--
-- Table structure for table `forums`
--

CREATE TABLE forums (
  sort tinyint(3) unsigned NOT NULL default '0',
  id int(10) unsigned NOT NULL auto_increment,
  name varchar(60) NOT NULL default '',
  description varchar(200) default NULL,
  minclassread tinyint(3) unsigned NOT NULL default '1',
  minclasswrite tinyint(3) unsigned NOT NULL default '1',
  postcount int(10) unsigned NOT NULL default '0',
  topiccount int(10) unsigned NOT NULL default '0',
  minclasscreate tinyint(3) unsigned NOT NULL default '1',
  PRIMARY KEY  (id)
) TYPE=MyISAM;

--
-- Table structure for table `language`
--

CREATE TABLE language (
  id int(10) NOT NULL auto_increment,
  language varchar(20) NOT NULL default '',
  language_url varchar(100) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=MyISAM;

--
-- Dumping data for table `language`
--

INSERT INTO language VALUES (1,'English','language/english.php');

--
-- Table structure for table `messages`
--

CREATE TABLE messages (
  id int(10) unsigned NOT NULL auto_increment,
  sender int(10) unsigned NOT NULL default '0',
  receiver int(10) unsigned NOT NULL default '0',
  added int(10) default NULL,
  subject varchar(30) NOT NULL default '',
  msg text,
  readed enum('yes','no') NOT NULL default 'no',
  PRIMARY KEY  (id),
  KEY receiver (receiver)
) TYPE=MyISAM;

--
-- Table structure for table `namemap`
--

CREATE TABLE namemap (
  info_hash varchar(40) NOT NULL default '',
  filename varchar(250) NOT NULL default '',
  url varchar(250) NOT NULL default '',
  info varchar(250) NOT NULL default '',
  data datetime NOT NULL default '0000-00-00 00:00:00',
  size bigint(20) NOT NULL default '0',
  comment text,
  category int(10) unsigned NOT NULL default '6',
  external enum('yes','no') NOT NULL default 'no',
  announce_url varchar(100) NOT NULL default '',
  uploader int(10) NOT NULL default '1',
  lastupdate datetime NOT NULL default '0000-00-00 00:00:00',
  anonymous enum('true','false') NOT NULL default 'false',
  PRIMARY KEY  (info_hash)
) TYPE=MyISAM;

--
-- Table structure for table `news`
--

CREATE TABLE news (
  id int(11) NOT NULL auto_increment,
  news blob NOT NULL,
  user_id int(10) NOT NULL default '0',
  date datetime NOT NULL default '0000-00-00 00:00:00',
  title varchar(40) NOT NULL default '',
  UNIQUE KEY id (id)
) TYPE=MyISAM;


--
-- Table structure for table `poll_voters`
--

CREATE TABLE poll_voters (
  vid int(10) NOT NULL auto_increment,
  ip varchar(16) NOT NULL default '',
  votedate int(10) NOT NULL default '0',
  pid mediumint(8) NOT NULL default '0',
  memberid varchar(32) default NULL,
  PRIMARY KEY  (vid)
) TYPE=MyISAM;

--
-- Table structure for table `polls`
--

CREATE TABLE polls (
  pid mediumint(8) NOT NULL auto_increment,
  startdate int(10) default NULL,
  choices text,
  starter_id mediumint(8) NOT NULL default '0',
  votes smallint(5) NOT NULL default '0',
  poll_question varchar(255) default NULL,
  status enum('true','false') NOT NULL default 'false',
  PRIMARY KEY  (pid)
) TYPE=MyISAM;

--
-- Table structure for table `posts`
--

CREATE TABLE posts (
  id int(10) unsigned NOT NULL auto_increment,
  topicid int(10) unsigned NOT NULL default '0',
  userid int(10) unsigned NOT NULL default '0',
  added int(10) default NULL,
  body text,
  editedby int(10) unsigned NOT NULL default '0',
  editedat int(10) default '0',
  PRIMARY KEY  (id),
  KEY topicid (topicid),
  KEY userid (userid),
  FULLTEXT KEY body (body)
) TYPE=MyISAM;

--
-- Table structure for table `ratings`
--

CREATE TABLE ratings (
  infohash char(40) NOT NULL default '',
  userid int(10) unsigned NOT NULL default '1',
  rating tinyint(3) unsigned NOT NULL default '0',
  added int(10) unsigned NOT NULL default '0'
) TYPE=MyISAM;

--
-- Table structure for table `readposts`
--

CREATE TABLE readposts (
  id int(10) unsigned NOT NULL auto_increment,
  userid int(10) unsigned NOT NULL default '0',
  topicid int(10) unsigned NOT NULL default '0',
  lastpostread int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (id),
  KEY userid (id),
  KEY topicid (topicid)
) TYPE=MyISAM;


--
-- Table structure for table `style`
--

CREATE TABLE style (
  id int(10) NOT NULL auto_increment,
  style varchar(20) NOT NULL default '',
  style_url varchar(100) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=MyISAM;

--
-- Dumping data for table `style`
--

INSERT INTO style VALUES (1,'BtitTracker','./style/base');
INSERT INTO style VALUES (2,'Green','./style/green');
INSERT INTO style VALUES (4,'Dark','./style/dark');
INSERT INTO style VALUES (5,'KillBill','./style/killbill');

--
-- Table structure for table `summary`
--

CREATE TABLE summary (
  info_hash char(40) NOT NULL default '',
  dlbytes bigint(20) unsigned NOT NULL default '0',
  seeds int(10) unsigned NOT NULL default '0',
  leechers int(10) unsigned NOT NULL default '0',
  finished int(10) unsigned NOT NULL default '0',
  lastcycle int(10) unsigned NOT NULL default '0',
  lastSpeedCycle int(10) unsigned NOT NULL default '0',
  speed bigint(20) unsigned NOT NULL default '0',
  PRIMARY KEY  (info_hash)
) TYPE=MyISAM;

--
-- Table structure for table `tasks`
--

CREATE TABLE tasks (
  task varchar(20) NOT NULL default '',
  last_time int(10) NOT NULL default '0',
  PRIMARY KEY  (task)
) TYPE=MyISAM;

--
-- Dumping data for table `tasks`
--

INSERT INTO tasks VALUES ('sanity',1111513767);
INSERT INTO tasks VALUES ('update',1111513767);

--
-- Table structure for table `timestamps`
--

CREATE TABLE timestamps (
  info_hash char(40) NOT NULL default '',
  sequence int(10) unsigned NOT NULL auto_increment,
  bytes bigint(20) unsigned NOT NULL default '0',
  delta smallint(5) unsigned NOT NULL default '0',
  PRIMARY KEY  (sequence),
  KEY sorting (info_hash)
) TYPE=MyISAM;


--
-- Table structure for table `topics`
--

CREATE TABLE topics (
  id int(10) unsigned NOT NULL auto_increment,
  userid int(10) unsigned NOT NULL default '0',
  subject varchar(40) default NULL,
  locked enum('yes','no') NOT NULL default 'no',
  forumid int(10) unsigned NOT NULL default '0',
  lastpost int(10) unsigned NOT NULL default '0',
  sticky enum('yes','no') NOT NULL default 'no',
  views int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (id),
  KEY userid (userid),
  KEY subject (subject),
  KEY lastpost (lastpost)
) TYPE=MyISAM;


--
-- Table structure for table `users`
--

CREATE TABLE users (
  id int(10) unsigned NOT NULL auto_increment,
  username varchar(40) NOT NULL default '',
  password varchar(40) NOT NULL default '',
  id_level int(10) NOT NULL default '1',
  random int(10) default '0',
  email varchar(30) NOT NULL default '',
  language tinyint(4) NOT NULL default '1',
  style tinyint(4) NOT NULL default '1',
  joined datetime NOT NULL default '0000-00-00 00:00:00',
  lastconnect datetime NOT NULL default '0000-00-00 00:00:00',
  lip bigint(11) default '0',
  downloaded bigint(20) default '0',
  uploaded bigint(20) default '0',
  avatar varchar(100) default NULL,
  pid varchar(32) NOT NULL default '',
  flag tinyint(1) unsigned NOT NULL default '0',
  topicsperpage tinyint(3) unsigned NOT NULL default '15',
  postsperpage tinyint(3) unsigned NOT NULL default '15',
  torrentsperpage tinyint(3) unsigned NOT NULL default '15',
  PRIMARY KEY  (id),
  UNIQUE KEY username (username)
) TYPE=MyISAM;


--
-- Dumping data for table `users`
--

INSERT INTO users VALUES (1,'Guest','',1,0,'none',1,1,'0000-00-00 00:00:00','2005-03-20 15:57:26',0,0,0,NULL,'',0,10,10,10);

--
-- Table structure for table `users_level`
--

CREATE TABLE users_level (
  id int(10) NOT NULL auto_increment,
  id_level int(11) NOT NULL default '0',
  level varchar(50) NOT NULL default '',
  view_torrents enum('yes','no') NOT NULL default 'yes',
  edit_torrents enum('yes','no') NOT NULL default 'no',
  delete_torrents enum('yes','no') NOT NULL default 'no',
  view_users enum('yes','no') NOT NULL default 'yes',
  edit_users enum('yes','no') NOT NULL default 'no',
  delete_users enum('yes','no') NOT NULL default 'no',
  view_news enum('yes','no') NOT NULL default 'yes',
  edit_news enum('yes','no') NOT NULL default 'no',
  delete_news enum('yes','no') NOT NULL default 'no',
  can_upload enum('yes','no') NOT NULL default 'no',
  can_download enum('yes','no') NOT NULL default 'yes',
  view_forum enum('yes','no') NOT NULL default 'yes',
  edit_forum enum('yes','no') NOT NULL default 'yes',
  delete_forum enum('yes','no') NOT NULL default 'no',
  predef_level enum('guest','validating','member','uploader','vip','moderator','admin','owner') NOT NULL default 'guest',
  can_be_deleted enum('yes','no') NOT NULL default 'yes',
  admin_access enum('yes','no') NOT NULL default 'no',
  prefixcolor varchar(40) NOT NULL default '',
  suffixcolor varchar(40) NOT NULL default '',
  WT int(11) NOT NULL default '0',
  UNIQUE KEY base (id)
) TYPE=MyISAM;

--
-- Dumping data for table `users_level`
--

INSERT INTO users_level VALUES (1,1,'guest','no','no','no','no','no','no','no','no','no','no','no','yes','no','no','guest','no','no','','',0);
INSERT INTO users_level VALUES (2,2,'validating','no','no','no','no','no','no','yes','no','no','no','no','yes','no','no','validating','no','no','','',0);
INSERT INTO users_level VALUES (3,3,'Members','yes','no','no','yes','no','no','yes','no','no','no','yes','yes','no','no','member','no','no','<span style=\'color:#000000\'>','</span>',0);
INSERT INTO users_level VALUES (6,6,'Moderator','yes','yes','no','yes','no','no','yes','yes','no','yes','yes','yes','yes','no','moderator','no','no','<span style=\'color: #428D67\'>','</span>',0);
INSERT INTO users_level VALUES (7,7,'Administrator','yes','yes','yes','yes','yes','yes','yes','yes','yes','yes','yes','yes','yes','yes','admin','no','no','<span style=\'color:#FF8000\'>','</span>',0);
INSERT INTO users_level VALUES (8,8,'Owner','yes','yes','yes','yes','yes','yes','yes','yes','yes','yes','yes','yes','yes','yes','owner','no','yes','','',0);
INSERT INTO users_level VALUES (4,4,'Uploader','yes','no','no','yes','no','no','yes','no','no','yes','no','yes','no','no','uploader','yes','no','','',0);
INSERT INTO users_level VALUES (5,5,'V.I.P.','yes','no','no','yes','no','no','yes','no','no','yes','yes','yes','no','no','vip','yes','no','','',0);

